# Class StarTableColumn

java.lang.Object
javax.swing.table.TableColumn
uk.ac.starlink.table.gui.StarTableColumn

All Implemented Interfaces:
  `Serializable`

public class StarTableColumn extends TableColumn
A `TableColumn` representing a column in a `StarJTable`. This simple extension to `TableColumn` provides a constructor and an accessor which reference the `ColumnInfo` object associated with a table column. The renderers and column headings etc used by this column are based by default on the characteristics of the associated `ColumnInfo`.

Author:
  Mark Taylor (Starlink)
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class TableColumn

`CELL_RENDERER_PROPERTY, cellEditor, cellRenderer, COLUMN_WIDTH_PROPERTY, HEADER_RENDERER_PROPERTY, HEADER_VALUE_PROPERTY, headerRenderer, headerValue, identifier, isResizable, maxWidth, minWidth, modelIndex, resizedPostingDisableCount, width`

## Constructor Summary

Constructors
Constructor
Description
`StarTableColumn(ColumnInfo colinfo)`
Constructs a `StarTableColumn` from a `ColumnInfo` object using a default model index of 0.
`StarTableColumn(ColumnInfo colinfo, int modelIndex)`
Constructs a `StarTableColumn` from a `ColumnInfo` object with a given model index.

## Method Summary

Modifier and Type
Method
Description
`static TableCellEditor`
`createCellEditor(ValueInfo info)`
Utility method to create a table cell editor suitable for a given value info.
`static TableCellRenderer`
`createCellRenderer(ValueInfo info)`
Utility method to create a table cell renderer suitable for a given value info.
`ColumnInfo`
`getColumnInfo()`
Returns the `ColumnInfo` object associated with this column.

### Methods inherited from class TableColumn

`addPropertyChangeListener, createDefaultHeaderRenderer, disableResizedPosting, enableResizedPosting, getCellEditor, getCellRenderer, getHeaderRenderer, getHeaderValue, getIdentifier, getMaxWidth, getMinWidth, getModelIndex, getPreferredWidth, getPropertyChangeListeners, getResizable, getWidth, removePropertyChangeListener, setCellEditor, setCellRenderer, setHeaderRenderer, setHeaderValue, setIdentifier, setMaxWidth, setMinWidth, setModelIndex, setPreferredWidth, setResizable, setWidth, sizeWidthToFit`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StarTableColumn

public StarTableColumn(ColumnInfo colinfo, int modelIndex)
Constructs a `StarTableColumn` from a `ColumnInfo` object with a given model index.

Parameters:
  `colinfo` - the `ColumnInfo` object which supplies the characteristics of this column
  `modelIndex` - the index of the column in the `TableModel` which will be displayed by this column

### StarTableColumn

public StarTableColumn(ColumnInfo colinfo)
Constructs a `StarTableColumn` from a `ColumnInfo` object using a default model index of 0.

Parameters:
  `colinfo` - the `ColumnInfo` object which supplies the characteristics of this column

## Method Details

### getColumnInfo

public ColumnInfo getColumnInfo()
Returns the `ColumnInfo` object associated with this column.

Returns:
  the metadata for this column

### createCellRenderer

public static TableCellRenderer createCellRenderer(ValueInfo info)
Utility method to create a table cell renderer suitable for a given value info. This is used in StarTableColumn's constructor.

Parameters:
  `info` - metadata describing table cell contents
Returns:
  cell renderer

### createCellEditor

public static TableCellEditor createCellEditor(ValueInfo info)
Utility method to create a table cell editor suitable for a given value info. This is used in StarTableColumn's constructor.

Parameters:
  `info` - metadata describing table cell contents
Returns:
  cell renderer